CREATE TABLE autoreg (
  mac varchar(17) NOT NULL default '',
  ip int(11) unsigned NOT NULL default '0',
  date int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (mac),
  KEY ip (ip)
) TYPE=MyISAM;


CREATE TABLE bandwidth_usage (
  id int(11) unsigned NOT NULL auto_increment,
  ip int(11) unsigned NOT NULL default '0',
  date int(11) unsigned NOT NULL default '0',
  in_kb int(11) unsigned default '0',
  out_kb int(11) unsigned default '0',
  in_packets int(11) unsigned default '0',
  out_packets int(11) unsigned default '0',
  abuse text NOT NULL,
  PRIMARY KEY  (id),
  KEY ip (ip),
  KEY date (date),
  KEY in_kb (in_kb),
  KEY out_kb (out_kb)
) TYPE=MyISAM;


CREATE TABLE private_users (
  id int(11) unsigned NOT NULL auto_increment,
  username varchar(128) NOT NULL default '',
  PRIMARY KEY  (id),
  KEY username (username)
) TYPE=MyISAM;

