<?php

/*

 $Id: show_av.inc 3165 2004-08-31 17:03:17Z philips $
 $Source: /tmp/maintain/templates/show_flos.inc,v $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*!	
	@header AntiVirus template
	Requires that an array called $av_hosts be available to it.
	This is an array of AV objects to display.
*/
?>
<? show_template('tborder'); ?>

<table border="0" cellpadding="2" cellspacing="0" width="100%">
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="center">
</tr>
        <tr align="center" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td>Hostname</td>
		<td><?= AV::make_href("Definition Date", "pattern_date", $zone_id)?></td>
		<td><?= AV::make_href("Last Virus", "last_virus", $zone_id)?></td>
		<td><?= AV::make_href("Last Scan", "last_scan", $zone_id)?></td>
		<td><?= AV::make_href("Version of Norton Anti-virus", "product_version", $zone_id)?></td>
		<td>Definition Up to Date</td>
        </tr>
<?
// Iterate through all of the AV hosts creating a pretty little table
if (count($av_hosts)) {
foreach ($av_hosts as $av) {
?>
        <tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="center">
                <td>
                <a href="<?= $conf['web_path']; ?>/host.php?action=show_host&action_type=read&host_id=<?= $av->host->id; ?>"><?= $av->host->hostname?></a> 
                </td>
				<td>
				<? echo date_or_null("F j, Y", $av->pattern_date); ?>
				</td>
				<td>
				<? echo date_or_null("F j, Y", $av->last_virus); ?>
				</td>
				<td>
				<? echo date_or_null("F j, Y", $av->last_scan); ?>
				</td>
				<td>
				<?= $av->product_version?>
				</td>
				<td>
				<?
					// Is the hosts definitions 'out of date', 
					// if so display an X
					if ($av->out_of_date) {
						echo("<img src=\"{$conf['web_path']}/images/cancel.gif\" alt=\"Needs Update\" border=\"0\" height=\"15\" width=\"15\" />");
					}
					// If it is up to date display a check mark
					else {
						echo("<img src=\"{$conf['web_path']}/images/ok.gif\" alt=\"Ok\" border=\"0\" height=\"15\" width=\"15\" />");
					}
				?>
                </td>
        </tr>
<? 
	}  // end foreach
} // end if count
else { 
?>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td colspan="8" align="center" class="fatalerror">No Hosts Found Under AntiVirus</td>
	</tr>
<? } ?>
</table>
<? show_template('bborder'); ?>

<br /><br />
