<?php

/*

 $Id: show_ips.inc,v 1.10 2003/12/22 19:43:05 vollmerk Exp $
 $Source: /tmp/maintain/templates/show_ips.inc,v $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*!
	@header Show IPS
	Show a listing of IP addresses as needed.  This doesn't use a view
	as it could get pretty complicated if we have to deal with host,
	range and IP's all in one view ... ewww ....

*/

?>
<? show_template('tborder'); ?>
<table border="0" cellpadding="2" cellspacing="0" width="100%">
	<tr align="center" bgcolor="<?= $conf['color']->bg['body_dark']; ?>">
    		<td title="<? $conf['help']->display_plain_txt("ip_address"); ?>">IP Address</td>
    		<td title="<? $conf['help']->display_plain_txt("subnet"); ?>">Subnet</td>
    		<td title="<? $conf['help']->display_plain_txt("netmask"); ?>">Netmask</td>
		<? if ($host->id) { ?>
                <td>Action</td>
		<? } ?>
	</tr>

<?

foreach ($ips as $ip) {

?>

	<tr align="center" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td><? $conf['ui']->display_field($ip->ip_addr); ?></td>
		<td><? $conf['ui']->display_field($ip->subnet->subnet->ip_addr); ?></td>
		<td><? $conf['ui']->display_field($ip->subnet->netmask->ip_addr); ?></td>
		<? if ($host->id) { ?>
		<td>
			<? if ($user->has_access($host->zone->id) ) { ?>
			<a href="<?= $conf['web_path']; ?>/ip.php?action=select_ip&host_id=<?= $host->id ?>&ip_int=<?= $ip->ip_int ?>">Use this IP Address</a>
			<? } ?>	
		</td>
		<? } ?>
	</tr>
<?
}
?>
</table>
<? show_template('bborder'); ?>
